<template>
  <b-navbar is-fixed-top is-white>
    <b-navbar-brand>
      <b-navbar-item>
        <the-logo/>
      </b-navbar-item>
      <span
        class="navbar-burger burger"
        data-target="main-navbar-menu"
        @click="toggleNavbarMenu"
      >
        <span/>
        <span/>
        <span/>
      </span>
    </b-navbar-brand>
    <b-navbar-menu
      id="main-navbar-menu"
      class="navbar-menu"
      :class="navbarMenuIsActive"
    >
      <b-navbar-end>
        <router-link
          class="navbar-item"
          active-class="is-active"
          to="/#home"
        >
          inicio
        </router-link>
        <router-link
          class="navbar-item"
          active-class="is-active"
          to="/#about"
        >
          acerca de
        </router-link>
        <router-link
          class="navbar-item"
          active-class="is-active"
          to="/#services"
        >
          servicios
        </router-link>
        <router-link
          class="navbar-item"
          active-class="is-active"
          to="/#contact"
        >
          contacto
        </router-link>
      </b-navbar-end>
    </b-navbar-menu>
  </b-navbar>
</template>

<script>
import TheLogo from './TheLogo'

export default {
  name: 'TheFooter',
  components: {
    TheLogo
  },
  data () {
    return {
      navbarMenu: false
    }
  },
  computed: {
    navbarMenuIsActive () { return { 'is-active': this.navbarMenu } },
    anchorIsActive () {
      return (hash) => {
        return {
          'is-active': this.$route.hash === hash
        }
      }
    }
  },
  mounted () {
    if (process.browser) {
      const [ root ] = document.getElementsByTagName('html')
      root.classList.add('has-navbar-fixed-top')
    }
  },
  methods: {
    toggleNavbarMenu () { this.navbarMenu = !this.navbarMenu }
  }
}
</script>

<style lang="sass" scoped>
  #main-navbar-menu
    .navbar-item
      padding: 0.5rem 1.25rem
      color: #212121
      text-transform: uppercase
      font-size: 1.0625rem
      letter-spacing: 2px
      font-weight: 400
      font-family: Dosis, sans-serif
      &.is-active
        color: #ddb0b7

  .navbar-burger
    span
      background: #ddb0b7
</style>

<style scoped>
  .navbar.is-white {
    background: white;
  }
</style>
